%global momorel 1

Summary: Complex Graphical Design/Layout Engine
Name: edje
Version: 0.9.9.043
Release: %{momorel}m%{?dist}
License: Modified BSD
Group: System Environment/Libraries
URL: http://www.enlightenment.org/
Source0: http://download.enlightenment.org/snapshots/2008-05-19/%{name}-%{version}.tar.bz2 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: libjpeg-devel
BuildPreReq: zlib-devel
BuildPreReq: imlib2-devel
BuildPreReq: vim-common
BuildPreReq: ecore-devel  >= 0.9.9.042-1m
BuildPreReq: embryo-devel >= 0.9.1.042-1m
BuildPreReq: evas-devel >= 0.9.9.043-1m
BuildRequires: evas-devel eet-devel embryo-devel ecore-devel 
BuildRequires: chrpath pkgconfig doxygen

%description
A graphical layout and animation library for animated resizable, compressed and
scalable themes.

%package devel
Summary: Edje headers, static libraries, documentation and test programs
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure --disable-static
%make
sed -i -e 's/$projectname Documentation Generated: $datetime/$projectname Documentation/' doc/foot.html
./gendoc
find doc -name CVS |xargs %__rm -rf


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/%{name}_cc
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/%{name}_decc
find $RPM_BUILD_ROOT -name '*.la' -delete
# remove unfinished manpages
find doc/man/man3 -size -100c -delete
rm -f doc/man/man3/todo.3 # remove todo
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man3
install -p -m 644 doc/man/man3/* $RPM_BUILD_ROOT%{_mandir}/man3
find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-PLAIN README
%{_bindir}/%{name}_*
%{_libdir}/*.so.*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/include
%{_datadir}/%{name}/include/%{name}.inc

%files devel
%defattr(-,root,root)
%doc doc/html
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.9.043-1m)
- update to 0.9.9.043
- add BuildPreReq: evas-devel >= 0.9.9.043-1m

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0.042-1m)
- merge from T4R
- 
- changelog is below
- * Mon Mar 10 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- - (0.5.0.042-1m)
- - update to 0.5.0.042
- - delete %%{_bindir}/edje-config

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0.037-0.20061231.3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.0.037-0.20061231.2m)
- %%NoSource -> NoSource

* Mon Jan  1 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.0.037-0.20061231.1m)
- version 0.5.0.037-20061231

* Sat Dec 10 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.0.022-0.20051209.1m)
- version 0.5.0.022-20051209

* Tue Jun 28 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.0.010-0.20050627.1m)
- version 0.5.0.010-20050627

* Thu Feb 17 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.0-0.20050215.1m)
- version 0.5.0-0.20050215

* Sat Feb 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.5.0-0.20041218.3m)
- rebuid against ecore-1.0.0-20041218.2m

* Tue Feb  1 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.5.0-0.20041218.2m)
- enable x86_64.

* Tue Dec 21 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.0-0.20041218.1m)
- first import to Momonga
